# Delete a template

Delete the template specified in the url. NOTE: This method deletes all versions of the specified template.

Endpoint: DELETE /v3/{domain_name}/templates/{template_name}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name the template is associated with.

  - `template_name` (string, required)
    Template name to be deleted.

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `template` (object, required)
    Template change details

  - `template.name` (string, required)
    Name of the template

  - `template.version` (any)
    Template version details

  - `template.version.tag` (string, required)
    Tag of the version. Must be unique to the template

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

